serialver(1)

NAME
serialver - serial version command

SYNOPSIS
serialver [ -show ] [ classnames ] [ -J ]

DESCRIPTION
The serialver command returns the serialVersionUID for one or more classes in a form suitable for copying into an evolving class. When invoked with no arguments, it prints a usage line.

OPTIONS
The following options are supported:

-show
    Displays a simple user interface. Enter the full class name and press either the Enter key or the Show button to display the serialVersionUID.

OPERANDS

classnames
    One or more class names.

J  option
    Pass option to the Java virtual machine, where option is one of the options described on the man page for the java application launcher, java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes. It is a common convention for -J to pass options to the underlying virtual machine.

SEE ALSO

See (or search java.sun.com) for the following:

java.io.ObjectStreamClass @
    http://java.sun.com/j2se/1.4/docs/api/java/io/ObjectStreamClass.html